NullValues (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.symbol.nullvalue
Class NullValues

    java.lang.Object
      org.maltparser.core.symbol.nullvalue.NullValues

Direct Known Subclasses:
  InputNullValues, OutputNullValues

    public abstract class NullValues

extends Object

Since:
  1.0
Author:
  Johan Hall

Nested Class Summary
`protected static class` | `NullValues.NullValueDegree`
`static class` | `NullValues.NullValueId`

Field Summary
`protected SortedMap<Integer,String>` | `code2SymbolMap`
`protected int` | `nextCode`
`protected HashMap<NullValues.NullValueId,Integer>` | `nullValue2CodeMap`
`protected HashMap<NullValues.NullValueId,String>` | `nullValue2SymbolMap`
`protected NullValues.NullValueDegree` | `nullValueEncoding`
`protected String` | `nullValueStrategy`
`protected HashMap<String,Integer>` | `symbol2CodeMap`
`protected SymbolTable` | `table`

Constructor Summary
`NullValues(SymbolTable table)`

Method Summary
`String` | `codeToSymbol(int code)`
`boolean` | `equals(Object obj)`
`int` | `getNextCode()`
`NullValues.NullValueDegree` | `getNullValueEncoding()`
`String` | `getNullValueStrategy()`
`SymbolTable` | `getSymbolTable()`
`boolean` | `isNullValue(int code)`
`boolean` | `isNullValue(String symbol)`
`boolean` | `isNullValue(StringBuilder symbol)`
`protected abstract void` | `makeNullValues()`
`int` | `nullvalueToCode(NullValues.NullValueId nullValueIdentifier)`
`String` | `nullvalueToSymbol(NullValues.NullValueId nullValueIdentifier)`
`protected void` | `setNextCode(int nextCode)`
`protected abstract void` | `setNullValueEncoding(String nullValueStrategy)`
`protected void` | `setNullValueStrategy(String nullValueStrategy)`
`int` | `symbolToCode(String symbol)`
`int` | `symbolToCode(StringBuilder symbol)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nullValue2SymbolMap

    protected HashMap<NullValues.NullValueId,String> nullValue2SymbolMap

### nullValue2CodeMap

    protected HashMap<NullValues.NullValueId,Integer> nullValue2CodeMap

### symbol2CodeMap

    protected HashMap<String,Integer> symbol2CodeMap

### code2SymbolMap

    protected SortedMap<Integer,String> code2SymbolMap

### table

    protected SymbolTable table

### nullValueEncoding

    protected NullValues.NullValueDegree nullValueEncoding

### nullValueStrategy

    protected String nullValueStrategy

### nextCode

    protected int nextCode

Constructor Detail

### NullValues

    public NullValues(SymbolTable table)

Method Detail

### getSymbolTable

    public SymbolTable getSymbolTable()

### getNullValueStrategy

    public String getNullValueStrategy()

### setNullValueStrategy

    protected void setNullValueStrategy(String nullValueStrategy)

### getNullValueEncoding

    public NullValues.NullValueDegree getNullValueEncoding()

### getNextCode

    public int getNextCode()

### setNextCode

    protected void setNextCode(int nextCode)

### isNullValue

    public boolean isNullValue(int code)

### isNullValue

    public boolean isNullValue(String symbol)

### isNullValue

    public boolean isNullValue(StringBuilder symbol)

### nullvalueToCode

    public int nullvalueToCode(NullValues.NullValueId nullValueIdentifier)
                        throws MaltChainedException

  Throws:
    `MaltChainedException`

### nullvalueToSymbol

    public String nullvalueToSymbol(NullValues.NullValueId nullValueIdentifier)
                             throws MaltChainedException

  Throws:
    `MaltChainedException`

### symbolToCode

    public int symbolToCode(String symbol)

### symbolToCode

    public int symbolToCode(StringBuilder symbol)

### codeToSymbol

    public String codeToSymbol(int code)

### setNullValueEncoding

    protected abstract void setNullValueEncoding(String nullValueStrategy)

### makeNullValues

    protected abstract void makeNullValues()

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.